> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Job Events



## OpenAPI

````yaml /openapi.json get /v1/wikis/{wiki_id}/jobs/{job_id}/events
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.5.0
servers:
  - url: https://api.usealmanac.com
security:
  - bearerAuth: []
tags:
  - description: Session, onboarding, overview, and email preferences.
    name: Account
  - description: Workspace discovery and details.
    name: Workspaces
  - description: Wiki creation, listing, and details.
    name: Wikis
  - description: Wiki pages, search, topics, and provenance.
    name: Pages
  - description: Source records, trees, search, and original files.
    name: Sources
  - description: Source uploads and upload records.
    name: Uploads
  - description: Ingest and Garden jobs, events, and outcomes.
    name: Jobs
  - description: Workspace-scoped developer keys.
    name: API keys
  - description: Workspace membership and invitations.
    name: Members
  - description: Workspace plans, usage, and billing portal.
    name: Billing
paths:
  /v1/wikis/{wiki_id}/jobs/{job_id}/events:
    get:
      tags:
        - Jobs
      summary: Job Events
      operationId: job_events_v1_wikis__wiki_id__jobs__job_id__events_get
      parameters:
        - in: path
          name: wiki_id
          required: true
          schema:
            title: Wiki Id
            type: string
        - in: path
          name: job_id
          required: true
          schema:
            title: Job Id
            type: string
        - in: query
          name: include_payload
          required: false
          schema:
            default: false
            title: Include Payload
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/JobEvent'
                title: >-
                  Response Job Events V1 Wikis  Wiki Id  Jobs  Job Id  Events
                  Get
                type: array
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  request_id:
                    type: string
                required:
                  - error
                  - message
                  - request_id
                type: object
          description: Invalid request
components:
  schemas:
    JobEvent:
      additionalProperties: false
      properties:
        created_at:
          title: Created At
          type: string
        event_id:
          title: Event Id
          type: string
        job_id:
          title: Job Id
          type: string
        level:
          enum:
            - info
            - warning
            - error
          title: Level
          type: string
        message:
          title: Message
          type: string
        payload_json:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Payload Json
        sequence:
          title: Sequence
          type: integer
      required:
        - event_id
        - job_id
        - sequence
        - level
        - message
        - created_at
      title: JobEvent
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````